Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 29)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 30)
@@ -601,11 +601,13 @@
                 // 対象データが存在すれば更新する
                 strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO SET CONSTRUCTIONSTATUSFLG = {0}", iCode1);
                 strSQL += " WHERE CONSTRUCTIONCODE IN";
+                strSQL += " (SELECT CONSTRUCTIONCODE from ("; // MySql対応（Updateの副問合せ対応）
                 strSQL += " (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO WHERE DATE(ESTIMATESSUBMITTEDDATE) != DATE_FORMAT('0001/01/01','%Y/%m/%d')";
                 strSQL += string.Format(" AND DATE(ESTIMATESSUBMITTEDDATE + {0})", s_NonOrderDay);
                 strSQL += string.Format(" < DATE_FORMAT('{0}','%Y/%m/%d')", DateTime.Now.ToShortDateString());
                 strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
                 strSQL += string.Format(" AND ESTIMATETYPE IN ({0}, {1}))", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                strSQL += " ) AS TMP"; // MySql対応（Updateの副問合せ対応）
                 if (!BaseDB.ExecuteNonQuery(strSQL))
                 {
                     logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 29)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 30)
@@ -419,7 +419,8 @@
                 wrk.CreatorCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.CreatorCosts].ToString());             // 作成者給与
                 wrk.AssistantCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCode].ToString());              // 副担当者コード
                 wrk.AssistantName = objwrk[(int)ConstructionBudgetColumn.AssistantName].ToString();                         // 副担当者名
-                wrk.AssistantCosts = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCosts].ToString());            // 副担当者給与
+                //wrk.AssistantCosts = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCosts].ToString());            // 副担当者給与
+                wrk.AssistantCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCosts].ToString());            // 副担当者給与
                 wrk.InstructorCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorCode].ToString());            // 工事指導員コード
                 wrk.InstructorName = objwrk[(int)ConstructionBudgetColumn.InstructorName].ToString();                       // 工事指導員名
                 wrk.InstructorCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorCosts].ToString());       // 工事指導員給与
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 29)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 30)
@@ -418,15 +418,18 @@
 
                 wrk.PrePayments = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePayments].ToString());                       // 前金払
                 wrk.PrePaymentsDays = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsDays].ToString());               // 前金払日数
-                wrk.PrePaymentsPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsPrice].ToString());             // 前金払金額
+                //wrk.PrePaymentsPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsPrice].ToString());             // 前金払金額
+                wrk.PrePaymentsPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsPrice].ToString());             // 前金払金額
                 wrk.PartialPayment = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPayment].ToString());                 // 部分払
                 wrk.PartialPaymentMounth = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentMounth].ToString());     // 部分払締切月
                 wrk.PartialPaymentDay1 = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentDay1].ToString());         // 部分払締切日
                 wrk.PartialPaymentDay2 = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentDay2].ToString());         // 部分払支払日
-                wrk.PartialPaymentPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentPrice].ToString());       // 部分払金額
+                //wrk.PartialPaymentPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentPrice].ToString());       // 部分払金額
+                wrk.PartialPaymentPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentPrice].ToString());       // 部分払金額
                 wrk.CompletionPayment = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPayment].ToString());           // 引渡し時の支払
                 wrk.CompletionPaymentDays = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentDays].ToString());   // 引渡し時の支払日数
-                wrk.CompletionPaymentPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentPrice].ToString()); // 引渡し時の支払金額
+                //wrk.CompletionPaymentPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentPrice].ToString()); // 引渡し時の支払金額
+                wrk.CompletionPaymentPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentPrice].ToString()); // 引渡し時の支払金額
 
                 wrk.LeadEngineerCode = int.Parse(objwrk[(int)PurchaseOrderColumn.LeadEngineerCode].ToString());             // 主任技術者コード
                 wrk.LeadEngineerName = objwrk[(int)PurchaseOrderColumn.LeadEngineerName].ToString();                        // 主任技術者名