Index: trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.exe.config
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.exe.config	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.exe.config	(nonexistent)
@@ -1,6 +0,0 @@
-﻿<?xml version="1.0" encoding="utf-8" ?>
-<configuration>
-    <startup> 
-        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
-    </startup>
-</configuration>
\ No newline at end of file
Index: trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe	(nonexistent)

Property changes on: trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe.config
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe.config	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe.config	(nonexistent)
@@ -1,6 +0,0 @@
-﻿<?xml version="1.0" encoding="utf-8" ?>
-<configuration>
-    <startup> 
-        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
-    </startup>
-</configuration>
\ No newline at end of file
Index: trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe.manifest
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe.manifest	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/bin/x86/Debug/UpDateCopy.vshost.exe.manifest	(nonexistent)
@@ -1,11 +0,0 @@
-﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
-<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
-  <assemblyIdentity version="1.0.0.0" name="MyApplication.app"/>
-  <trustInfo xmlns="urn:schemas-microsoft-com:asm.v2">
-    <security>
-      <requestedPrivileges xmlns="urn:schemas-microsoft-com:asm.v3">
-        <requestedExecutionLevel level="asInvoker" uiAccess="false"/>
-      </requestedPrivileges>
-    </security>
-  </trustInfo>
-</assembly>
Index: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferencesInput.cache
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferencesInput.cache
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferencesInput.cache	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferencesInput.cache	(nonexistent)

Property changes on: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferencesInput.cache
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferences.cache
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferences.cache
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferences.cache	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferences.cache	(nonexistent)

Property changes on: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/DesignTimeResolveAssemblyReferences.cache
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/UpDateCopy.csproj.FileListAbsolute.txt
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/UpDateCopy.csproj.FileListAbsolute.txt	(revision 41)
+++ trunk/src/UpDateCopy/UpDateCopy/obj/x86/Debug/UpDateCopy.csproj.FileListAbsolute.txt	(nonexistent)
@@ -1 +0,0 @@
-D:\devlop\processmanagement\First\UpDateCopy\UpDateCopy\bin\x86\Debug\UpDateCopy.exe.config