Index: trunk/src/UpDateCopy/UpDateCopy/ClsCommon.cs
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/ClsCommon.cs	(revision 44)
+++ trunk/src/UpDateCopy/UpDateCopy/ClsCommon.cs	(revision 45)
@@ -28,6 +28,24 @@
         /// </summary>
         public const string s_ErrorFileName = @".\log\Error.txt";
 
+// ▼自動更新VPS対応▼ 
+        // FTPユーザ名
+        public const string s_FTP_USER_NAME = "pmaint";
+        // FTPパスワード
+        public const string s_FTP_PASSWORD = "hyou5210";
+        // FTPつなぎ先パス
+        public const string s_FTP_SERVER_PATH = "ftp://203.137.92.122:990/HYOU/";
+        // 本体モジュールフォルダ
+        public const string s_HONTAI_MODULE = "ProcessManagement";
+        // UVERSIONキー名
+        public const string s_UVERSION_KEY = "uversion";
+        // MVERSIONキー名
+        public const string s_MVERSION_KEY = "mversion";
+        // VERSIONセクション名
+        public const string s_VERSION_SECTION = "genbaKantokuHisyo";
+        // 起動パラメータ
+        public const string s_KIDOU_PARAM = "/NOCHECK";
+// ▲自動更新VPS対応▲
         #endregion
 
         /// <summary>
Index: trunk/src/UpDateCopy/UpDateCopy/FrmCopy.cs
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/FrmCopy.cs	(revision 44)
+++ trunk/src/UpDateCopy/UpDateCopy/FrmCopy.cs	(revision 45)
@@ -11,6 +11,7 @@
 using System.Text;
 using System.Threading.Tasks;
 using System.Windows.Forms;
+using System.IO.Compression;
 
 namespace UpDateCopy
 {
@@ -49,6 +50,26 @@
             lblMessage.Text = ClsCommon.s_TargetProcess + "を更新しています。\nそのまましばらくお待ちください。";
             lblMessage.Refresh();
 
+// ▼自動更新VPS対応▼ 
+            System.Threading.Thread.Sleep(1000);
+
+            string tempPath = Path.GetTempPath();
+            // サーバ更新モジュールzipファイル（ダウンロード後）
+            string updateModuleZip = tempPath + ClsCommon.s_HONTAI_MODULE + ".zip";
+
+            // 「現場監督秘書（本体）zipの展開フォルダが存在するかチェック
+            if (System.IO.Directory.Exists(tempPath + ClsCommon.s_HONTAI_MODULE)) {
+                // zip削除
+                System.IO.File.Delete(tempPath + ClsCommon.s_HONTAI_MODULE + ".zip");
+                // ダウンロードファイル削除
+                System.IO.Directory.Delete(tempPath + ClsCommon.s_HONTAI_MODULE, true);
+            }
+            // 「現場監督秘書（本体）zipダウンロード
+            download(ClsCommon.s_FTP_SERVER_PATH + ClsCommon.s_HONTAI_MODULE + ".zip", updateModuleZip);
+            // ダウンロードした「現場監督秘書（本体）zip解凍
+            ZipFile.ExtractToDirectory(updateModuleZip, tempPath);
+// ▲自動更新VPS対応▲
+
             // メインプログラムの終了を待つ
             while (true)
             {
@@ -57,6 +78,7 @@
                 Process[] processList = Process.GetProcesses();
                 foreach (Process p in processList)
                 {
+                    Aliveflg = false;
                     if (p.ProcessName == ClsCommon.s_TargetProcess)
                     {
                         if (p.Responding)
@@ -65,10 +87,6 @@
                             Console.WriteLine("OK");
                             break;
                         }
-                        else
-                        {
-                            break;
-                        }
                     }
                     Debug.WriteLine(++cnt + ":" + p.ProcessName);
                 }
@@ -76,7 +94,7 @@
                 System.Threading.Thread.Sleep(1000);
             }
 
-            System.Threading.Thread.Sleep(5000);
+            System.Threading.Thread.Sleep(1000);
             
             // ファイルコピー
             CopyFileProcess();
@@ -87,7 +105,11 @@
             // ターゲットを起動する
             string ExecProc = System.Environment.CurrentDirectory + "\\" + ClsCommon.s_TargetProcess + ".exe";
             //logger.ErrorFormat("{0}：起動プログラム：{1}", this.Name, ExecProc);
-            Process exec = Process.Start(ExecProc);
+// ▼自動更新VPS対応▼ 
+            // 起動パラメータつきで起動する
+            Process exec = Process.Start(ExecProc, ClsCommon.s_KIDOU_PARAM);
+//            Process exec = Process.Start(ExecProc);
+// ▲自動更新VPS対応▲
 
         }
     
@@ -136,6 +158,14 @@
                 // プログレスバー加算
                 progressBar.Value = progressBar.Maximum;
                 progressBar.Refresh();
+// ▼自動更新VPS対応▼ 
+                string tempPath = Path.GetTempPath();
+                // zip削除
+                System.IO.File.Delete(tempPath + ClsCommon.s_HONTAI_MODULE + ".zip");
+                // ダウンロードファイル削除
+                System.IO.Directory.Delete(tempPath + ClsCommon.s_HONTAI_MODULE, true);
+// ▲自動更新VPS対応▲
+
             }
             catch (Exception ex)
             {
@@ -158,8 +188,12 @@
                 // 自プロセス名を作成する
                 string myProcess = Process.GetCurrentProcess().ProcessName + ".exe";
 
+// ▼自動更新VPS対応▼ 
                 // コピー元ファイル名を取得する
-                string[] files = Directory.GetFiles(@ClsCommon.s_UPDATE_FILE_PATH);
+//                string[] files = Directory.GetFiles(@ClsCommon.s_UPDATE_FILE_PATH);
+                string[] files = Directory.GetFiles(Path.GetTempPath() + "\\" + ClsCommon.s_HONTAI_MODULE);
+// ▲自動更新VPS対応▲
+
                 foreach (string sourceFile in files)
                 {
                     // ファイル名を取得する
@@ -206,5 +240,21 @@
             }
         }
 
+// ▼自動更新VPS対応▼ 
+        // サーバからファイルダウンロード
+        private static void download(String serverPath, String downloadSakiPath)
+        {
+            //WebClientオブジェクトを作成
+            System.Net.WebClient wc = new System.Net.WebClient();
+            //ログインユーザー名とパスワードを指定
+            wc.Credentials =
+                new System.Net.NetworkCredential(ClsCommon.s_FTP_USER_NAME, ClsCommon.s_FTP_PASSWORD);
+            //FTPサーバーからダウンロードする
+            wc.DownloadFile(serverPath, downloadSakiPath);
+            //解放する
+            wc.Dispose();
+        }
+// ▲自動更新VPS対応t▲
+
     }
 }
Index: trunk/src/UpDateCopy/UpDateCopy/UpDateCopy.csproj
===================================================================
--- trunk/src/UpDateCopy/UpDateCopy/UpDateCopy.csproj	(revision 44)
+++ trunk/src/UpDateCopy/UpDateCopy/UpDateCopy.csproj	(revision 45)
@@ -57,6 +57,8 @@
   <ItemGroup>
     <Reference Include="System" />
     <Reference Include="System.Core" />
+    <Reference Include="System.IO.Compression" />
+    <Reference Include="System.IO.Compression.FileSystem" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
     <Reference Include="Microsoft.CSharp" />
@@ -74,6 +76,7 @@
     <Compile Include="FrmCopy.Designer.cs">
       <DependentUpon>FrmCopy.cs</DependentUpon>
     </Compile>
+    <Compile Include="IniFile.cs" />
     <Compile Include="Program.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <EmbeddedResource Include="FrmCopy.resx">