Index: branches/ddl/MySQL_Create.sql
===================================================================
--- branches/ddl/MySQL_Create.sql	(revision 46)
+++ branches/ddl/MySQL_Create.sql	(revision 47)
@@ -167,9 +167,9 @@
 	TargetDate date NOT NULL COMMENT '対象日',
 	PersonCode decimal(8,0) NOT NULL COMMENT '担当者コード',
 	ActionSchedule varchar(30) COMMENT '行動予定',
-	TargetYear year(4) NOT NULL COMMENT '該当年',
-	TargetMonth year(2) NOT NULL COMMENT '該当月',
-	TargetDay year(2) NOT NULL COMMENT '該当日',
+	TargetYear smallint NOT NULL COMMENT '該当年',
+	TargetMonth smallint NOT NULL COMMENT '該当月',
+	TargetDay smallint NOT NULL COMMENT '該当日',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
 	UpdateDate datetime NOT NULL COMMENT '更新年月日',
 	PRIMARY KEY (TargetDate, PersonCode)
@@ -179,10 +179,10 @@
 -- 承認経路マスタ
 CREATE TABLE ApprovalMaster
 (
-	ApprovalCode tinyint NOT NULL COMMENT '承認機能番号',
+	ApprovalCode smallint NOT NULL COMMENT '承認機能番号',
 	DepartmentCode smallint NOT NULL COMMENT '部署コード',
-	SeqNo year(2) NOT NULL COMMENT '枝番',
-	DisplayOrder year(2) NOT NULL COMMENT '表示順',
+	SeqNo smallint NOT NULL COMMENT '枝番',
+	DisplayOrder smallint NOT NULL COMMENT '表示順',
 	ApprovalPerson decimal(8,0) NOT NULL COMMENT '承認者コード',
 	ApprovalAuthority decimal(1) NOT NULL COMMENT '承認権限区分',
 	EntryDate datetime COMMENT '登録年月日',
@@ -195,7 +195,7 @@
 CREATE TABLE BK_ConstructionLedger
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	ConstructionPeriod year(4) NOT NULL COMMENT '事業期',
+	ConstructionPeriod smallint NOT NULL COMMENT '事業期',
 	CreatorCode decimal(8,0) COMMENT '作成者コード',
 	CreatorName varchar(60) COMMENT '作成者名',
 	CreateDate date NOT NULL COMMENT '作成日',
@@ -222,8 +222,8 @@
 CREATE TABLE BK_ConstructionLedgerDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	GroupCount year(2) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	GroupCount smallint NOT NULL COMMENT 'グループ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint NOT NULL COMMENT '工種キー',
 	FirstString varchar(120) COMMENT '項目名称',
@@ -239,12 +239,12 @@
 	IndependentFlg decimal(1) NOT NULL COMMENT '独立データフラグ',
 	FluctuationFlg decimal(1) NOT NULL COMMENT '増減データフラグ',
 	SalaryFlg decimal(1) NOT NULL COMMENT '給与振分区分',
-	SalaryDays year(4) NOT NULL COMMENT '給与振分日数',
+	SalaryDays smallint NOT NULL COMMENT '給与振分日数',
 	OperatingFlg decimal(1) NOT NULL COMMENT '担当中フラグ',
 	SourceCode int NOT NULL COMMENT '元工事番号',
 	JoinTitleFlg decimal(1) NOT NULL COMMENT '工事名称タイトル',
 	SalaryOnRegist decimal(12,2) NOT NULL COMMENT '登録時月額給与',
-	PurchaseOrderFlg year(2) NOT NULL COMMENT '注文書発行フラグ',
+	PurchaseOrderFlg smallint NOT NULL COMMENT '注文書発行フラグ',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
 	UpdateDate datetime NOT NULL COMMENT '更新年月日',
 	PRIMARY KEY (ConstructionCode, GroupCount, LineCount)
@@ -255,9 +255,9 @@
 CREATE TABLE BK_ConstructionLedgerExcute
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	GroupCount year(2) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
-	ColumnCount tinyint NOT NULL COMMENT '列番号',
+	GroupCount smallint NOT NULL COMMENT 'グループ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
+	ColumnCount smallint NOT NULL COMMENT '列番号',
 	PaymentAmount decimal(12,2) NOT NULL COMMENT '支払金額',
 	TargetMonth date NOT NULL COMMENT '対象年月',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -271,8 +271,8 @@
 (
 	SaveDate date NOT NULL COMMENT '退避日付',
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	LineCount tinyint NOT NULL COMMENT '行番号',
-	ComponentCode tinyint NOT NULL COMMENT '構成キー',
+	LineCount smallint NOT NULL COMMENT '行番号',
+	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	FixedItemCode varchar(1) COMMENT '固定項目キー',
 	ItemName varchar(120) COMMENT '作業名称',
 	SpecName varchar(120) COMMENT '作業／品質・形状・寸法',
@@ -291,7 +291,7 @@
 (
 	SaveDate date NOT NULL COMMENT '退避日付',
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	PageCount year(4) NOT NULL COMMENT 'ページ番号',
+	PageCount smallint NOT NULL COMMENT 'ページ番号',
 	Category decimal(1) NOT NULL COMMENT 'ページ区分',
 	UnionComponentCode smallint NOT NULL COMMENT '所属構成キー',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
@@ -298,7 +298,7 @@
 	ItemCode smallint NOT NULL COMMENT '工種キー',
 	SelectComponent smallint NOT NULL COMMENT '選択構成キー',
 	PageTitle varchar(120) NOT NULL COMMENT 'ページ表示名',
-	DetailLineCount tinyint NOT NULL COMMENT '明細行番号',
+	DetailLineCount smallint NOT NULL COMMENT '明細行番号',
 	EntryDate datetime NOT NULL COMMENT '登録日付',
 	UpdateDate datetime NOT NULL COMMENT '更新日付',
 	PRIMARY KEY (SaveDate, ConstructionCode, PageCount)
@@ -310,8 +310,8 @@
 (
 	SaveDate date NOT NULL COMMENT '退避日付',
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	PageCount year(4) NOT NULL COMMENT 'ページ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	PageCount smallint NOT NULL COMMENT 'ページ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	DataType decimal(1) NOT NULL COMMENT 'データ種別',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint NOT NULL COMMENT '工種キー',
@@ -444,8 +444,8 @@
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
 	TyingFlg decimal(1) NOT NULL COMMENT '紐付データフラグ',
 	JoinFlg decimal(1) NOT NULL COMMENT '結合契約工事フラグ',
-	ConstructionYear year(4) NOT NULL COMMENT '工事年度',
-	ConstructionPeriod year(4) NOT NULL COMMENT '工事期数',
+	ConstructionYear smallint NOT NULL COMMENT '工事年度',
+	ConstructionPeriod smallint NOT NULL COMMENT '工事期数',
 	RequestedDate date COMMENT '依頼受け日',
 	EstimatesSubmitDeadline date COMMENT '見積提出期限',
 	EstimatesSubmittedDate date COMMENT '見積提出日',
@@ -498,7 +498,7 @@
 CREATE TABLE ConstructionBaseInfoDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	DetailNo year(2) NOT NULL COMMENT '明細番号',
+	DetailNo SMALLINT NOT NULL COMMENT '明細番号',
 	DetailString varchar(120) COMMENT '明細内容',
 	EntryDate datetime NOT NULL COMMENT '登録日付',
 	UpdateDate datetime NOT NULL COMMENT '更新日付',
@@ -525,11 +525,11 @@
 	ConstructionEnd date NOT NULL COMMENT '契約工期完了',
 	InstructorTimes decimal(5,2) NOT NULL COMMENT '指導員稼働月数',
 	SalaryFlg decimal(1) NOT NULL COMMENT '給与振分区分',
-	SalaryDays year(4) NOT NULL COMMENT '振分日数',
+	SalaryDays smallint NOT NULL COMMENT '振分日数',
 	A_SalaryFlg decimal(1) NOT NULL COMMENT '副担当者給与振分区分',
-	A_SalaryDays year(4) NOT NULL COMMENT '副担当者振分日数',
+	A_SalaryDays smallint NOT NULL COMMENT '副担当者振分日数',
 	I_SalaryFlg decimal(1) NOT NULL COMMENT '指導員給与振分区分',
-	I_SalaryDays year(4) NOT NULL COMMENT '指導員振分日数',
+	I_SalaryDays smallint NOT NULL COMMENT '指導員振分日数',
 	EntryDate datetime NOT NULL COMMENT '登録日付',
 	UpdateDate datetime NOT NULL COMMENT '更新日付',
 	PRIMARY KEY (ConstructionCode)
@@ -540,8 +540,8 @@
 CREATE TABLE ConstructionBudgetDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	GroupCount year(2) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	GroupCount smallint NOT NULL COMMENT 'グループ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint NOT NULL COMMENT '工種キー',
 	FirstString varchar(120) COMMENT '項目名称',
@@ -580,7 +580,7 @@
 CREATE TABLE ConstructionLedger
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	ConstructionPeriod year(4) NOT NULL COMMENT '事業期',
+	ConstructionPeriod smallint NOT NULL COMMENT '事業期',
 	CreatorCode decimal(8,0) COMMENT '作成者コード',
 	CreatorName varchar(60) COMMENT '作成者名',
 	CreateDate date NOT NULL COMMENT '作成日',
@@ -607,8 +607,8 @@
 CREATE TABLE ConstructionLedgerDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	GroupCount year(2) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	GroupCount smallint NOT NULL COMMENT 'グループ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint NOT NULL COMMENT '工種キー',
 	FirstString varchar(120) COMMENT '項目名称',
@@ -624,12 +624,12 @@
 	IndependentFlg decimal(1) NOT NULL COMMENT '独立データフラグ',
 	FluctuationFlg decimal(1) NOT NULL COMMENT '増減データフラグ',
 	SalaryFlg decimal(1) NOT NULL COMMENT '給与振分区分',
-	SalaryDays year(4) NOT NULL COMMENT '給与振分日数',
+	SalaryDays smallint NOT NULL COMMENT '給与振分日数',
 	OperatingFlg decimal(1) NOT NULL COMMENT '担当中フラグ',
 	SourceCode int NOT NULL COMMENT '元工事番号',
 	JoinTitleFlg decimal(1) NOT NULL COMMENT '工事名称タイトル',
 	SalaryOnRegist decimal(12,2) NOT NULL COMMENT '登録時月額給与',
-	PurchaseOrderFlg year(2) NOT NULL COMMENT '注文書発行フラグ',
+	PurchaseOrderFlg smallint NOT NULL COMMENT '注文書発行フラグ',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
 	UpdateDate datetime NOT NULL COMMENT '更新年月日',
 	PRIMARY KEY (ConstructionCode, GroupCount, LineCount)
@@ -640,9 +640,9 @@
 CREATE TABLE ConstructionLedgerExcute
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	GroupCount year(2) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
-	ColumnCount tinyint NOT NULL COMMENT '列番号',
+	GroupCount smallint NOT NULL COMMENT 'グループ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
+	ColumnCount smallint NOT NULL COMMENT '列番号',
 	PaymentAmount decimal(12,2) NOT NULL COMMENT '支払金額',
 	TargetMonth date NOT NULL COMMENT '対象年月',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -667,8 +667,8 @@
 CREATE TABLE ConstructionProgressDate
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事番号',
-	ConstructionStatusFlg year(2) NOT NULL COMMENT '設定工事状態',
-	PreviousStatusFlg year(2) COMMENT '変更前状態',
+	ConstructionStatusFlg smallint NOT NULL COMMENT '設定工事状態',
+	PreviousStatusFlg smallint COMMENT '変更前状態',
 	ChangeDate date NOT NULL COMMENT '設定日付',
 	ChangePersonCode decimal(8,0) NOT NULL COMMENT '設定担当者',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -765,7 +765,7 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	DailyDataDate date NOT NULL COMMENT '日報作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '明細行番号',
+	SeqNo smallint NOT NULL COMMENT '明細行番号',
 	JobCategoryCode smallint NOT NULL COMMENT '職種キー',
 	CompanyCode decimal(8,0) NOT NULL COMMENT '協力会社コード',
 	TodayHeadCount decimal(4,1) NOT NULL COMMENT '当日人員数',
@@ -785,7 +785,7 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	DailyDataDate date NOT NULL COMMENT '日報作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '明細行番号',
+	SeqNo smallint NOT NULL COMMENT '明細行番号',
 	PatrolTime datetime NOT NULL COMMENT '巡回時間',
 	ContentsText varchar(200) COMMENT '内容',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -800,7 +800,7 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	DailyDataDate date NOT NULL COMMENT '日報作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '明細行番号',
+	SeqNo smallint NOT NULL COMMENT '明細行番号',
 	Materials varchar(100) COMMENT '資材名',
 	Quantity varchar(100) COMMENT '数量',
 	Production varchar(100) COMMENT '制作会社',
@@ -818,7 +818,7 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	DailyDataDate date NOT NULL COMMENT '日報作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '明細行番号',
+	SeqNo smallint NOT NULL COMMENT '明細行番号',
 	Attendee varchar(100) COMMENT '出席者',
 	ContentsText varchar(200) COMMENT '内容',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -833,7 +833,7 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	DailyDataDate date NOT NULL COMMENT '日報作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '明細行番号',
+	SeqNo smallint NOT NULL COMMENT '明細行番号',
 	Model varchar(100) COMMENT '機種',
 	Performance varchar(100) COMMENT '性能',
 	Owner varchar(100) COMMENT '所有会社',
@@ -850,7 +850,7 @@
 CREATE TABLE DepartmentExpensesMaster
 (
 	DepartmentCode smallint NOT NULL COMMENT '部署コード',
-	ExpensesPeriod year(4) NOT NULL COMMENT '事業期',
+	ExpensesPeriod smallint NOT NULL COMMENT '事業期',
 	NameCode smallint NOT NULL COMMENT '経費名称コード',
 	DisplayOrder smallint NOT NULL COMMENT '表示順',
 	ExpensesRatio decimal(4,2) NOT NULL COMMENT '経費率',
@@ -912,8 +912,8 @@
 CREATE TABLE EstimateBudgetDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	GroupCount year(2) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	GroupCount smallint NOT NULL COMMENT 'グループ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint COMMENT '工種キー',
 	CompanyCode decimal(8,0) NOT NULL COMMENT '協力会社コード',
@@ -933,8 +933,8 @@
 CREATE TABLE EstimateData
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	LineCount tinyint NOT NULL COMMENT '行番号',
-	ComponentCode tinyint NOT NULL COMMENT '構成キー',
+	LineCount smallint NOT NULL COMMENT '行番号',
+	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	FixedItemCode varchar(1) COMMENT '固定項目キー',
 	ItemName varchar(120) COMMENT '作業名称',
 	SpecName varchar(120) COMMENT '作業／品質・形状・寸法',
@@ -952,7 +952,7 @@
 CREATE TABLE EstimateDataBody
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	PageCount year(4) NOT NULL COMMENT 'ページ番号',
+	PageCount smallint NOT NULL COMMENT 'ページ番号',
 	Category decimal(1) NOT NULL COMMENT 'ページ区分',
 	UnionComponentCode smallint NOT NULL COMMENT '所属構成キー',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
@@ -959,7 +959,7 @@
 	ItemCode smallint NOT NULL COMMENT '工種キー',
 	SelectComponent smallint NOT NULL COMMENT '選択構成キー',
 	PageTitle varchar(120) NOT NULL COMMENT 'ページ表示名',
-	DetailLineCount tinyint NOT NULL COMMENT '明細行番号',
+	DetailLineCount smallint NOT NULL COMMENT '明細行番号',
 	EntryDate datetime NOT NULL COMMENT '登録日付',
 	UpdateDate datetime NOT NULL COMMENT '更新日付',
 	PRIMARY KEY (ConstructionCode, PageCount)
@@ -970,8 +970,8 @@
 CREATE TABLE EstimateDataDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	PageCount year(4) NOT NULL COMMENT 'ページ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	PageCount smallint NOT NULL COMMENT 'ページ番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	DataType decimal(1) NOT NULL COMMENT 'データ種別',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint NOT NULL COMMENT '工種キー',
@@ -1010,9 +1010,9 @@
 CREATE TABLE HolidayCalenderMaster
 (
 	Holiday date NOT NULL COMMENT '休日',
-	BusinessYear year(4) NOT NULL COMMENT '営業年度',
-	TargetMonth year(2) NOT NULL COMMENT '該当月',
-	TargetDay year(2) NOT NULL COMMENT '該当日',
+	BusinessYear smallint NOT NULL COMMENT '営業年度',
+	TargetMonth smallint NOT NULL COMMENT '該当月',
+	TargetDay smallint NOT NULL COMMENT '該当日',
 	PRIMARY KEY (Holiday)
 ) COMMENT = '会社休日マスタ';
 
@@ -1021,7 +1021,7 @@
 CREATE TABLE InputSearchLogData
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	UsedProcessNo tinyint NOT NULL COMMENT '使用機能番号',
+	UsedProcessNo smallint NOT NULL COMMENT '使用機能番号',
 	DisplayOrder decimal(5,0) NOT NULL COMMENT '表示順',
 	DataType decimal(1) NOT NULL COMMENT 'データ種別',
 	InputCode int COMMENT '入力コード',
@@ -1038,12 +1038,12 @@
 	FromName varchar(60) NOT NULL COMMENT '書込み者',
 	MessageTitile varchar(100) COMMENT '伝言タイトル',
 	MessageContent varchar(1333) NOT NULL COMMENT '伝言内容',
-	LinkType year(2) NOT NULL COMMENT 'リンク動作タイプ',
+	LinkType smallint NOT NULL COMMENT 'リンク動作タイプ',
 	LinkMessage varchar(200) COMMENT 'リンク文字列',
 	LinkCode varchar(30) COMMENT 'リンクキー',
 	WritingDate date NOT NULL COMMENT '書込み日時',
 	PersonCode decimal(8,0) NOT NULL COMMENT '書込み担当者コード',
-	ShareFlag year(2) NOT NULL COMMENT '管理者対象フラグ',
+	ShareFlag smallint NOT NULL COMMENT '管理者対象フラグ',
 	MessageColor varchar(8) COMMENT '文字色',
 	BackColor varchar(8) COMMENT 'バックカラー',
 	MessageFlag decimal(1) NOT NULL COMMENT 'メッセージフラグ',
@@ -1058,7 +1058,7 @@
 (
 	RecordNumber decimal(6,0) NOT NULL COMMENT 'レコード番号',
 	BranchNumber decimal(3,0) NOT NULL COMMENT 'レコード枝番',
-	SeqNum tinyint NOT NULL COMMENT '順番',
+	SeqNum smallint NOT NULL COMMENT '順番',
 	ToCode decimal(8,0) NOT NULL COMMENT '対象者コード',
 	ToName varchar(60) NOT NULL COMMENT '対象者',
 	EntryDate datetime COMMENT '登録日付',
@@ -1072,7 +1072,7 @@
 (
 	RecordNumber decimal(6,0) NOT NULL COMMENT 'レコード番号',
 	BranchNumber decimal(3,0) NOT NULL COMMENT 'レコード枝番',
-	SeqNum tinyint NOT NULL COMMENT '順番',
+	SeqNum smallint NOT NULL COMMENT '順番',
 	BrowsingCode decimal(8,0) NOT NULL COMMENT '閲覧者コード',
 	BrowsingDate date NOT NULL COMMENT '閲覧日付',
 	EntryDate datetime COMMENT '登録日付',
@@ -1109,7 +1109,7 @@
 CREATE TABLE OrdersPriceData
 (
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	ChangeNo tinyint NOT NULL COMMENT '変更番号',
+	ChangeNo smallint NOT NULL COMMENT '変更番号',
 	ChangeDate date NOT NULL COMMENT '変更日',
 	ChangePersonCode decimal(8,0) NOT NULL COMMENT '変更者コード',
 	ChangePersonName varchar(60) COMMENT '変更者名',
@@ -1146,7 +1146,7 @@
 	EndDate date COMMENT '使用終了年月日',
 	PassWord varchar(16) COMMENT 'パスワード',
 	SecurityManagement decimal(1) NOT NULL COMMENT '機密区分',
-	SecCode year(2) NOT NULL COMMENT '保護区分番号',
+	SecCode smallint NOT NULL COMMENT '保護区分番号',
 	MsgBackColor varchar(8) COMMENT 'メッセージ背景色',
 	DisplayString varchar(20) COMMENT '表示・印刷名称',
 	DepartmentCode smallint COMMENT '部署コード',
@@ -1180,18 +1180,18 @@
 CREATE TABLE PointingOutComment
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事コード',
-	ProcessNo tinyint NOT NULL COMMENT '処理番号（画面番号）',
-	SeqNo tinyint NOT NULL COMMENT '順序',
-	PageCount year(4) NOT NULL COMMENT 'ページ番号',
+	ProcessNo smallint NOT NULL COMMENT '処理番号（画面番号）',
+	SeqNo smallint NOT NULL COMMENT '順序',
+	PageCount smallint NOT NULL COMMENT 'ページ番号',
 	PersonCode decimal(8,0) NOT NULL COMMENT '記入者コード',
 	DrowColor varchar(8) COMMENT '描画色',
 	CommentMessage varchar(1000) COMMENT 'メッセージ',
-	StartPointX year(4) NOT NULL COMMENT '指摘項目位置Ｘ',
-	StartPointY year(4) NOT NULL COMMENT '指摘項目位置Ｙ',
-	CurrentPointX year(4) NOT NULL COMMENT '初期位置Ｘ',
-	CurrentPointY year(4) NOT NULL COMMENT '初期位置Ｙ',
-	CurrentWidth year(4) NOT NULL COMMENT '表示サイズWidth',
-	CurrentHeight year(4) NOT NULL COMMENT '表示サイズHeigth',
+	StartPointX smallint NOT NULL COMMENT '指摘項目位置Ｘ',
+	StartPointY smallint NOT NULL COMMENT '指摘項目位置Ｙ',
+	CurrentPointX smallint NOT NULL COMMENT '初期位置Ｘ',
+	CurrentPointY smallint NOT NULL COMMENT '初期位置Ｙ',
+	CurrentWidth smallint NOT NULL COMMENT '表示サイズWidth',
+	CurrentHeight smallint NOT NULL COMMENT '表示サイズHeigth',
 	EntryDate datetime NOT NULL COMMENT '登録日付',
 	UpdateDate datetime NOT NULL COMMENT '更新日付',
 	PRIMARY KEY (ConstructionCode, ProcessNo, SeqNo)
@@ -1221,7 +1221,7 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	ProceedingsDataDate date NOT NULL COMMENT '議事録作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT 'データ行番号',
+	SeqNo smallint NOT NULL COMMENT 'データ行番号',
 	Department varchar(100) COMMENT '出席者所属',
 	AttendeeName varchar(100) COMMENT '出席者氏名',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -1236,8 +1236,8 @@
 	PersonCode decimal(8,0) NOT NULL COMMENT '作成者コード',
 	ProceedingsDataDate date NOT NULL COMMENT '議事録作成日',
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT 'データ行番号',
-	TitileNo tinyint COMMENT '議題番号',
+	SeqNo smallint NOT NULL COMMENT 'データ行番号',
+	TitileNo smallint COMMENT '議題番号',
 	Titile varchar(100) COMMENT '議題',
 	ContentsText varchar(200) COMMENT '内容',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
@@ -1250,9 +1250,9 @@
 CREATE TABLE ProcessApproval
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事番号',
-	ApprovalCode tinyint NOT NULL COMMENT '承認機能番号',
-	OrderNo year(2) NOT NULL COMMENT '受付番号',
-	SeqNo year(2) NOT NULL COMMENT '枝番',
+	ApprovalCode smallint NOT NULL COMMENT '承認機能番号',
+	OrderNo smallint NOT NULL COMMENT '受付番号',
+	SeqNo smallint NOT NULL COMMENT '枝番',
 	PersonCode decimal(8,0) NOT NULL COMMENT '申請・承認者コード',
 	PetitionApprovalDate date NOT NULL COMMENT '申請・承認日付',
 	ApprovalLimitDates date NOT NULL COMMENT '承認希望日',
@@ -1268,9 +1268,9 @@
 CREATE TABLE ProcessApprovalDetail
 (
 	ConstructionCode decimal(10,0) NOT NULL COMMENT '工事番号',
-	ApprovalCode tinyint NOT NULL COMMENT '承認機能番号',
-	OrderNo year(2) NOT NULL COMMENT '受付番号',
-	SerialNo year(2) NOT NULL COMMENT '枝番',
+	ApprovalCode smallint NOT NULL COMMENT '承認機能番号',
+	OrderNo smallint NOT NULL COMMENT '受付番号',
+	SerialNo smallint NOT NULL COMMENT '枝番',
 	LinkCode int NOT NULL COMMENT 'リンク情報',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
 	UpdateDate datetime NOT NULL COMMENT '更新年月日',
@@ -1281,8 +1281,8 @@
 -- 起動対象マスタ
 CREATE TABLE ProcessExcuteMaster
 (
-	SecCode year(2) NOT NULL COMMENT '保護区分番号',
-	ExecCode year(4) NOT NULL COMMENT '起動処理番号',
+	SecCode smallint NOT NULL COMMENT '保護区分番号',
+	ExecCode smallint NOT NULL COMMENT '起動処理番号',
 	EditFlg decimal(1) NOT NULL COMMENT '編集フラグ',
 	EntryDate datetime NOT NULL COMMENT '登録日付',
 	UpdateDate datetime NOT NULL COMMENT '更新日付',
@@ -1294,7 +1294,7 @@
 CREATE TABLE PurchaseOrder
 (
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '注文書枝番',
+	SeqNo smallint NOT NULL COMMENT '注文書枝番',
 	CompanyCode decimal(8,0) NOT NULL COMMENT '協力会社コード',
 	CreateDate date COMMENT '作成日付',
 	OrderPrice decimal(12,2) NOT NULL COMMENT '発注金額',
@@ -1302,23 +1302,23 @@
 	OrderSheetType decimal(1) NOT NULL COMMENT '簡易・本式フラグ',
 	PaymentTerms decimal(1) NOT NULL COMMENT '支払い条件',
 	CashRatio decimal(4,1) NOT NULL COMMENT '現金割合（％）',
-	BillPeriod year(4) NOT NULL COMMENT '手形期間',
+	BillPeriod smallint NOT NULL COMMENT '手形期間',
 	PrePayments decimal(1) NOT NULL COMMENT '前金払',
 	PrePaymentsDays decimal(3,0) NOT NULL COMMENT '前金払日数',
 	PrePaymentsPrice decimal(12,2) NOT NULL COMMENT '前金払金額',
 	PartialPayment decimal(1) NOT NULL COMMENT '部分払',
-	PartialPaymentMounth year(2) NOT NULL COMMENT '部分払締切月',
-	PartialPaymentDay1 year(2) NOT NULL COMMENT '部分払締切日',
-	PartialPaymentDay2 year(2) NOT NULL COMMENT '部分払支払日',
+	PartialPaymentMounth smallint NOT NULL COMMENT '部分払締切月',
+	PartialPaymentDay1 smallint NOT NULL COMMENT '部分払締切日',
+	PartialPaymentDay2 smallint NOT NULL COMMENT '部分払支払日',
 	PartialPaymentPrice decimal(12,2) NOT NULL COMMENT '部分払金額',
 	CompletionPayment decimal(1) NOT NULL COMMENT '引渡し時の支払',
-	CompletionPaymentDays tinyint NOT NULL COMMENT '引渡し時の支払日数',
+	CompletionPaymentDays smallint NOT NULL COMMENT '引渡し時の支払日数',
 	CompletionPaymentPrice decimal(12,2) NOT NULL COMMENT '引渡し時の支払金額',
 	LeadEngineerCode decimal(8,0) COMMENT '主任技術者コード',
 	LeadEngineerName varchar(60) COMMENT 'LeadEngineerName',
 	SafetyOfficerCode decimal(8,0) COMMENT '安全管理者コード',
 	SafetyOfficerName varchar(60) COMMENT '安全管理者名',
-	WorkersCount tinyint COMMENT '作業員数',
+	WorkersCount smallint COMMENT '作業員数',
 	PrintoutDate date NOT NULL COMMENT '印刷年月日',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
 	UpdateDate datetime NOT NULL COMMENT '更新年月日',
@@ -1330,9 +1330,9 @@
 CREATE TABLE PurchaseOrderDetail
 (
 	ConstructionCode int NOT NULL COMMENT '工事番号',
-	SeqNo tinyint NOT NULL COMMENT '注文書枝番',
+	SeqNo smallint NOT NULL COMMENT '注文書枝番',
 	GroupCount decimal(1) NOT NULL COMMENT 'グループ番号',
-	LineCount tinyint NOT NULL COMMENT '行番号',
+	LineCount smallint NOT NULL COMMENT '行番号',
 	ComponentCode smallint NOT NULL COMMENT '構成キー',
 	ItemCode smallint NOT NULL COMMENT '工種キー',
 	FirstString varchar(120) COMMENT '工種・品名',
@@ -1352,7 +1352,7 @@
 CREATE TABLE SalesGraphData
 (
 	GraphDataCode decimal(8,0) NOT NULL COMMENT 'グラフデータコード',
-	ConstructionPeriod year(4) NOT NULL COMMENT '事業期',
+	ConstructionPeriod smallint NOT NULL COMMENT '事業期',
 	SalesDataDays date NOT NULL COMMENT '売上年月',
 	DisplayOrder decimal(8,0) NOT NULL COMMENT '表示順',
 	DataName varchar(100) NOT NULL COMMENT 'データ表示名称',
@@ -1369,7 +1369,7 @@
 -- 保護区分マスタ
 CREATE TABLE SecurityMaster
 (
-	SecCode year(2) NOT NULL COMMENT '保護区分番号',
+	SecCode smallint NOT NULL COMMENT '保護区分番号',
 	DisplayOrder smallint NOT NULL COMMENT '表示順',
 	SecName varchar(60) NOT NULL COMMENT '保護区分名称',
 	SecRank decimal(1) NOT NULL COMMENT '保護区分ランク',
@@ -1486,7 +1486,7 @@
 -- システム起動確認データ
 CREATE TABLE SystemExecute
 (
-	PrimaryCode tinyint NOT NULL COMMENT 'キー項目',
+	PrimaryCode smallint NOT NULL COMMENT 'キー項目',
 	TargetDate date NOT NULL COMMENT '起動日付',
 	SystemVersion decimal(10,0) COMMENT '本体・環境バージョン',
 	UpDateCopyVersion decimal(10,0) COMMENT 'コピーバージョン',
@@ -1499,7 +1499,7 @@
 -- 管理マスタ
 CREATE TABLE SystemMaster
 (
-	SystemCode tinyint NOT NULL COMMENT '会社コード',
+	SystemCode smallint NOT NULL COMMENT '会社コード',
 	CompanyName1 varchar(60) DEFAULT '' NOT NULL COMMENT '会社名１',
 	CompanyName2 varchar(60) DEFAULT '' COMMENT '会社名２',
 	CEOName varchar(60) DEFAULT '' NOT NULL COMMENT '代表者氏名',
@@ -1514,9 +1514,10 @@
 	OfficeExpenses decimal(4,2) NOT NULL COMMENT '事務所経費',
 	OperatingExpenses decimal(4,2) NOT NULL COMMENT '営業経費',
 	ConsumptionTax decimal(4,2) NOT NULL COMMENT '消費税',
+	CooperationRate decimal(4,2) NOT NULL COMMENT '協力金比率',
 	ExcelSavePath varchar(120) COMMENT 'Excel保存パス',
-	BusinessPeriod year(4) NOT NULL COMMENT '現在営業期数',
-	ConstructionYear year(4) NOT NULL COMMENT '現在工事年度',
+	BusinessPeriod smallint NOT NULL COMMENT '現在営業期数',
+	ConstructionYear smallint NOT NULL COMMENT '現在工事年度',
 	BusinessBeginningDate varchar(5) NOT NULL COMMENT '営業期期首日',
 	ConstructionBeginningDate varchar(5) NOT NULL COMMENT '工事年度期首日',
 	ConstructionNoBase decimal(1) NOT NULL COMMENT '工事番号基準値',
@@ -1533,11 +1534,11 @@
 CREATE TABLE TermMaster
 (
 	ConstructionStatusFlg decimal(2,0) NOT NULL COMMENT '工事状態フラグ',
-	FieldNo year(2) NOT NULL COMMENT 'チェック対象フィールド番号',
-	SeqNo year(2) NOT NULL COMMENT '枝番',
-	DisplayOrder year(2) NOT NULL COMMENT '表示順',
+	FieldNo smallint NOT NULL COMMENT 'チェック対象フィールド番号',
+	SeqNo smallint NOT NULL COMMENT '枝番',
+	DisplayOrder smallint NOT NULL COMMENT '表示順',
 	CheckSchdule decimal(1) NOT NULL COMMENT 'チェックタイミング',
-	TermDays year(2) NOT NULL COMMENT '経過日',
+	TermDays smallint NOT NULL COMMENT '経過日',
 	SendTitile varchar(100) COMMENT 'タイトル',
 	SendMessage varchar(100) COMMENT 'メッセージ',
 	BackColor varchar(8) COMMENT '背景色',
@@ -1593,8 +1594,8 @@
 CREATE TABLE VehicleRecordData
 (
 	VehicleCode smallint NOT NULL COMMENT '車両コード',
-	DivisionCode year(2) NOT NULL COMMENT 'データ区分',
-	SeqNo tinyint NOT NULL COMMENT '枝番',
+	DivisionCode smallint NOT NULL COMMENT 'データ区分',
+	SeqNo smallint NOT NULL COMMENT '枝番',
 	RecordDate date COMMENT '実地日',
 	Mileage mediumint COMMENT '走行距離',
 	Content varchar(100) COMMENT '内容',
@@ -1612,9 +1613,9 @@
 	VehicleCode smallint NOT NULL COMMENT '車両コード',
 	MorningAfternoon decimal(1) NOT NULL COMMENT '午前・午後',
 	PersonCode decimal(8,0) NOT NULL COMMENT '担当者コード',
-	TargetYear year(4) NOT NULL COMMENT '該当年',
-	TargetMonth year(2) NOT NULL COMMENT '該当月',
-	TargetDay year(2) NOT NULL COMMENT '該当日',
+	TargetYear smallint NOT NULL COMMENT '該当年',
+	TargetMonth smallint NOT NULL COMMENT '該当月',
+	TargetDay smallint NOT NULL COMMENT '該当日',
 	EntryDate datetime NOT NULL COMMENT '登録年月日',
 	UpdateDate datetime NOT NULL COMMENT '更新年月日',
 	PRIMARY KEY (TargetDate, VehicleCode, MorningAfternoon)