Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestTotalData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestTotalData.cs	(revision 61)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestTotalData.cs	(nonexistent)
@@ -1,192 +0,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace ProcessManagement.DataModel
-{
-    /// <summary>
-    /// 請求合計データ
-    /// </summary>
-    public class RequestTotalData
-    {
-        #region メンバ変数
-        private int         m_RequestNo = 0;                        // 請求No
-        private int         m_OrderNo = 0;                          // 受付番号
-        private int         m_OrderersDivision = 0;                 // 発注者区分
-        private int         m_OrderersCode = 0;                     // 発注者コード
-        private DateTime    m_BillCreationDate = DateTime.MinValue; // 請求書作成日
-        private int         m_BillTotalPrice = 0;                   // 請求書金額合計
-        private int         m_BillPrice = 0;                        // 請求金額
-        private int         m_TaxPrice = 0;                         // 消費税
-        private int         m_AmountBlance = 0;                     // 未入金分
-        private int         m_AmountPaid = 0;                       // 請求済金額
-        private int         m_PricePaid = 0;                        // 請求済工事金額
-        private int         m_TaxPricePaid = 0;                     // 請求済消費税金額
-        private int         m_PriceBalance = 0;                     // 請求残工事金額
-        private int         m_TaxBalance = 0;                       // 請求残消費税金額
-        private bool        m_AssignedFlg = false;                  // 割当済フラグ
-        private DateTime    m_EntryDate = DateTime.Now;             // 登録日付
-        private DateTime    m_UpdateDate = DateTime.Now;            // 更新日付
-        #endregion
-
-        #region コンストラクタ
-        #endregion
-
-        #region プロパティ
-        /// <summary>
-        /// 請求No
-        /// </summary>
-        public int RequestNo
-        {
-            get { return m_RequestNo; }
-            set { m_RequestNo = value; }
-        }
-
-        /// <summary>
-        /// 受付番号
-        /// </summary>
-        public int OrderNo
-        {
-            get { return m_OrderNo; }
-            set { m_OrderNo = value; }
-        }
-
-        /// <summary>
-        /// 発注者区分
-        /// </summary>
-        public int OrderersDivision
-        {
-            get { return m_OrderersDivision; }
-            set { m_OrderersDivision = value; }
-        }
-
-        /// <summary>
-        /// 発注者区分
-        /// </summary>
-        public int OrderersCode
-        {
-            get { return m_OrderersCode; }
-            set { m_OrderersCode = value; }
-        }
-
-        /// <summary>
-        /// 請求書作成日
-        /// </summary>
-        public DateTime BillCreationDate
-        {
-            get { return m_BillCreationDate; }
-            set { m_BillCreationDate = value; }
-        }
-
-        /// <summary>
-        /// 請求書金額合計
-        /// </summary>
-        public int BillTotalPrice
-        {
-            get { return m_BillTotalPrice; }
-            set { m_BillTotalPrice = value; }
-        }
-
-        /// <summary>
-        /// 請求金額
-        /// </summary>
-        public int BillPrice
-        {
-            get { return m_BillPrice; }
-            set { m_BillPrice = value; }
-        }
-
-        /// <summary>
-        /// 消費税
-        /// </summary>
-        public int TaxPrice
-        {
-            get { return m_TaxPrice; }
-            set { m_TaxPrice = value; }
-        }
-
-        /// <summary>
-        /// 未入金分
-        /// </summary>
-        public int AmountBlance
-        {
-            get { return m_AmountBlance; }
-            set { m_AmountBlance = value; }
-        }
-
-        /// <summary>
-        /// 請求済金額
-        /// </summary>
-        public int AmountPaid
-        {
-            get { return m_AmountPaid; }
-            set { m_AmountPaid = value; }
-        }
-
-        /// <summary>
-        /// 請求済工事金額
-        /// </summary>
-        public int PricePaid
-        {
-            get { return m_PricePaid; }
-            set { m_PricePaid = value; }
-        }
-
-        /// <summary>
-        /// 請求済消費税金額
-        /// </summary>
-        public int TaxPricePaid
-        {
-            get { return m_TaxPricePaid; }
-            set { m_TaxPricePaid = value; }
-        }
-
-        /// <summary>
-        /// 請求残工事金額
-        /// </summary>
-        public int PriceBalance
-        {
-            get { return m_PriceBalance; }
-            set { m_PriceBalance = value; }
-        }
-
-        /// <summary>
-        /// 請求残消費税金額
-        /// </summary>
-        public int TaxBalance
-        {
-            get { return m_TaxBalance; }
-            set { m_TaxBalance = value; }
-        }
-
-        /// <summary>
-        /// 割当済フラグ
-        /// </summary>
-        public bool AssignedFlg
-        {
-            get { return m_AssignedFlg; }
-            set { m_AssignedFlg = value; }
-        }
-
-        /// <summary>
-        /// 登録日付
-        /// </summary>
-        public DateTime EntryDate
-        {
-            get { return m_EntryDate; }
-            set { m_EntryDate = value; }
-        }
-
-        /// <summary>
-        /// 更新日付
-        /// </summary>
-        public DateTime UpdateDate
-        {
-            get { return m_UpdateDate; }
-            set { m_UpdateDate = value; }
-        }
-        #endregion
-    }
-}