Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 77)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 78)
@@ -44,7 +44,7 @@
         // FTPパスワード
         public const string s_FTP_PASSWORD = "hyou5210";
         // FTPつなぎ先パス
-        public const string s_FTP_SERVER_PATH = "ftp://203.137.92.122:990/HYOU/";
+        public const string s_FTP_SERVER_PATH = "ftp://203.137.94.208:990/HYOU/";
         // 更新モジュールフォルダ,ファイル名
         public const string s_UPDATE_MODULE = "UpDateCopy";
         // UVERSIONキー名
@@ -70,9 +70,8 @@
         /// 住所ファイル
         /// </summary>
         public static string s_AddressFilePath = System.Environment.CurrentDirectory + @".\KEN_ALL.CSV";
-        public static string s_AddressWorkInput = @"D:\Temp\_KEN_ALL.CSV";
-        public static string s_AddressWorkOutput = @"D:\Temp\KEN_ALL.CSV";
-        //public static string s_AddressFilePath = "C:\\temp\\KEN_ALL.CSV";
+        public static string s_AddressWorkInput = System.Environment.CurrentDirectory + @".\KEN_ALL.CSV";
+        public static string s_AddressWorkOutput = System.Environment.CurrentDirectory + @".\KEN_ALL.CSV";
         #endregion
 
         #region システムセキュリティ定義
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 77)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 78)
@@ -2331,7 +2331,7 @@
                 string strSQL = "SELECT A.MONTHLYSALARY, A.YEARSALARY, A.PERSONCODE, A.STARTDATE FROM PERSONSALARYMASTER A,";
                 strSQL += " (SELECT PERSONCODE, MAX(STARTDATE) sDate FROM PERSONSALARYMASTER";
                 strSQL += string.Format(" WHERE PERSONCODE = {0}", PersonCode);
-                strSQL += string.Format(" AND DATE(NOW()) <= STR_TO_DATE('{0}', '%Y/%m/%d)", GetData.ToShortDateString());
+                strSQL += string.Format(" AND DATE(NOW()) <= STR_TO_DATE('{0}', '%Y/%m/%d')", GetData.ToShortDateString());
                 strSQL += " GROUP BY PERSONCODE) B";
                 strSQL += " WHERE A.PERSONCODE = B.PERSONCODE AND A.STARTDATE = B.sDate";
 
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 77)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 78)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 3;
+        public static int s_SystemVersion = 1;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 77)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 78)
@@ -36,6 +36,8 @@
         {
             PrimaryCode = 0,
             TargetDate,
+            SystemVersion,
+            UpDateCopyVersion,
             EntryDate,
             UpdateDate,
         }
@@ -66,6 +68,8 @@
             string strcmd = "SELECT";
             strcmd += "  PrimaryCode";
             strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " ,SystemVersion";
+            strcmd += " ,UpDateCopyVersion";
             strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += " FROM SystemExecute";
@@ -354,6 +358,8 @@
                 // データ取得
                 wrk.PrimaryCode = int.Parse(objwrk[(int)TableColumn.PrimaryCode].ToString());
                 wrk.TargetDate = DateTime.Parse(objwrk[(int)TableColumn.TargetDate].ToString());
+                wrk.SystemVersion = int.Parse(objwrk[(int)TableColumn.SystemVersion].ToString());
+                wrk.UpDateCopyVersion = int.Parse(objwrk[(int)TableColumn.UpDateCopyVersion].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
@@ -360,7 +366,7 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 77)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 78)
@@ -10,7 +10,7 @@
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("H-YOUシステム開発")]
 [assembly: AssemblyProduct("現場監督秘書")]
-[assembly: AssemblyCopyright("H-YOU Systems Copyright ©  2015")]
+[assembly: AssemblyCopyright("H-YOU Systems Copyright ©  2015-2017")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
 
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.9")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file