Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 116)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 117)
@@ -607,6 +607,12 @@
                 {
                     TotalPrice += MyData.DepositAmount;
 
+                    // 不明行は含まない
+                    if (MyData.RequestNo == 0)
+                    {
+                        continue;
+                    }
+
                     // 対象工事でない場合
                     if( IsTargetConstruction( MyData ) == false )
                     {
@@ -628,6 +634,12 @@
 
                 foreach (MyFieldData MyData in m_lstMyField)
                 {
+                    // 不明行は含まない
+                    if (MyData.RequestNo == 0)
+                    {
+                        continue;
+                    }
+
                     // 対象工事の場合場合
                     if( IsTargetConstruction( MyData ) == true )
                     {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 116)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 117)
@@ -504,10 +504,11 @@
         /// <param name="e"></param>
         private void FrmSelectPayment_Load(object sender, EventArgs e)
         {
+            // 対象月コンボBOX設定
+            IODepositData IoDd = new IODepositData();
+
             try
             {
-                // 対象月コンボBOX設定
-                IODepositData IoDd = new IODepositData();
                 string now = DateTime.Now.ToString("yyyy/MM");
                 List<DepositData> lstDd = new List<DepositData>();
                 List<string> lstDate = new List<string>();
@@ -545,6 +546,9 @@
                 dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
                 dgvMaster.CellEnter += DataGridView_CellEnter;
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
+
+                IoDd.close();
+                IoDd = null;
             }
         }
         #endregion
@@ -590,6 +594,12 @@
                     MessageBox.Show("すでに現場が登録されているため、削除できません。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
+
+                if (MessageBox.Show("発注者を削除します。", "削除確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No)
+                {
+                    return;
+                }
+
                 // 保存前のものは削除する
                 if (depositOrderer.Added)
                     depositOrderers.Remove(depositOrderer);
@@ -795,6 +805,7 @@
         {
             IOMessageBoardData mbdDB = new IOMessageBoardData();
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+
             try
             {
                 mbdDB.connect();
@@ -882,8 +893,10 @@
             }
             finally
             {
-                mbdDB.close(); mbdDB = null;
-                mbtDB.close(); mbtDB = null;
+                mbdDB.close(); 
+                mbdDB = null;
+                mbtDB.close(); 
+                mbtDB = null;
             }
         }
         #endregion
@@ -926,10 +939,12 @@
             dgvMaster.CellDoubleClick -= DataGridView_DoubleCellClick;
             dgvMaster.CellEnter -= DataGridView_CellEnter;
             dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
+
             var ioDepositData = new IODepositData();
             var ioDepositDataDetail = new IODepositDataDetail();
             var ioDepositApprovalInfo = new IODepositApprovalInfo();
             var ioRequestHead = new IORequestHead();
+
             try
             {
                 ResetTargetDate();
@@ -1180,10 +1195,16 @@
                 dgvMaster.CellDoubleClick += DataGridView_DoubleCellClick;
                 dgvMaster.CellEnter += DataGridView_CellEnter;
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
+
                 ioDepositData.close();
                 ioDepositDataDetail.close();
                 ioDepositApprovalInfo.close();
                 ioRequestHead.close();
+
+                ioDepositData = null;
+                ioDepositDataDetail = null;
+                ioDepositApprovalInfo = null;
+                ioRequestHead = null;
             }
         }
         #endregion
@@ -1816,6 +1837,8 @@
         /// <returns></returns>
         private ArrayList SelectDepositData()
         {
+            var depDb = new IODepositData();
+
             try
             {
                 var sql = new StringBuilder();
@@ -1836,7 +1859,7 @@
                 sql.Append("on OdrM. OrderCotegory = Dep.OrderersDivision and OdrM.OrderersCode = Dep.OrderersCode ");
                 sql.AppendFormat("where Dep.TargetDate = {0} ", m_Select_TargetDate);
                 sql.Append("order by Dep.OrderersDivision, Dep.OrderersCode, Dep.SeqNo ");
-                var depDb = new IODepositData();
+
                 var data = new ArrayList();
                 if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
                 return data;
@@ -1846,6 +1869,11 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return new ArrayList();
             }
+            finally
+            {
+                depDb.close();
+                depDb = null;
+            }
         }
         #endregion
 
@@ -1859,6 +1887,8 @@
         /// <returns></returns>
         private ArrayList SelectDepositDetailData(int orderersDivision, int orderersCode, int targetDate)
         {
+            var depDb = new IODepositData();
+
             try
             {
                 var sql = new StringBuilder();
@@ -1915,8 +1945,9 @@
                 sql.AppendFormat(" AND DepD.TargetDate = {0}", m_Select_TargetDate);
                 sql.Append(" ORDER BY");
                 sql.Append(" DepD.RequestNo");
-                var depDb = new IODepositData();
+
                 var data = new ArrayList();
+
                 if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
                 return data;
             }
@@ -1925,6 +1956,11 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return new ArrayList();
             }
+            finally
+            {
+                depDb.close();
+                depDb = null;
+            }
         }
         #endregion
 
@@ -1956,6 +1992,7 @@
             }
             finally
             {
+                ioDai.close();
                 ioDai = null;
             }
         }
@@ -2782,6 +2819,8 @@
         /// <returns></returns>
         private bool CheckPermission(int DepartmentCode, int ConstructionPersonCode, int ConstrSubPersonCode, int ConstructionInstructor)
         {
+            var ioPdm = new IOMPersonDepartment();
+
             try
             {
                 // 全部署対象
@@ -2793,7 +2832,6 @@
                 // 複数部署対象、または自部署のみ対象
                 else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) || (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
                 {
-                    var ioPdm = new IOMPersonDepartment();
                     var arDataPdm = new ArrayList();
                     var sql = new StringBuilder();
                     sql.AppendLine("select Pdm.DepartmentCode ");
@@ -2834,6 +2872,11 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
+            finally
+            {
+                ioPdm.close();
+                ioPdm = null;
+            }
         }
         #endregion
 
@@ -2847,8 +2890,10 @@
         private bool SelectDefaultApprove(int departmentCode, ref List<ApproveData> approves)
         {
             var IoAm = new IOMApproval();
+
             var arDataAm = new ArrayList();
             var sql = new StringBuilder();
+
             try
             {
                 sql.AppendLine("select Am.APPROVALPERSON, Picm.SealPrintName,Am.ApprovalAuthority ");
@@ -2881,6 +2926,7 @@
             }
             finally
             {
+                IoAm.close();
                 IoAm = null;
             }
         }
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 116)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 117)
@@ -3,9 +3,20 @@
   <PropertyGroup>
     <ReferencePath>
     </ReferencePath>
-    <ProjectView>ProjectFiles</ProjectView>
+    <ProjectView>ShowAllFiles</ProjectView>
+    <PublishUrlHistory>publish\</PublishUrlHistory>
+    <InstallUrlHistory />
+    <SupportUrlHistory />
+    <UpdateUrlHistory />
+    <BootstrapperUrlHistory />
+    <ErrorReportUrlHistory />
+    <FallbackCulture>ja-JP</FallbackCulture>
+    <VerifyUploadedFiles>false</VerifyUploadedFiles>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
     <StartArguments>/NOCHECK</StartArguments>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
+    <StartArguments>/NOCHECK</StartArguments>
+  </PropertyGroup>
 </Project>
\ No newline at end of file