Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.cs	(revision 168)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.cs	(revision 169)
@@ -183,19 +183,19 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
+        private void dgvMaster_Click(object sender, EventArgs e)
         {
-            dgvMaster_CellDoubleClick(sender, e);
+            dgvMaster_DoubleClick(sender, e);
         }
-
         /// <summary>
         /// セルダブルクリック
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        private void dgvMaster_DoubleClick(object sender, EventArgs e)
         {
-
+            DataGridViewRow dgvRow = dgvMaster.CurrentRow;
+            dgvRow.Cells[(int)DispGridColumn.SelectCheck].Value = true;
         }
 
         
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.designer.cs	(revision 168)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.designer.cs	(revision 169)
@@ -43,7 +43,7 @@
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Column4 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.MaterialSelectCheck = new System.Windows.Forms.DataGridViewCheckBoxColumn();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
             // 
@@ -130,7 +130,7 @@
             this.Column1,
             this.Column3,
             this.Column2,
-            this.Column4});
+            this.MaterialSelectCheck});
             this.dgvMaster.Location = new System.Drawing.Point(8, 80);
             this.dgvMaster.Margin = new System.Windows.Forms.Padding(4);
             this.dgvMaster.Name = "dgvMaster";
@@ -141,6 +141,8 @@
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
             this.dgvMaster.Size = new System.Drawing.Size(485, 340);
             this.dgvMaster.TabIndex = 3;
+            this.dgvMaster.Click += new System.EventHandler(this.dgvMaster_Click);
+            this.dgvMaster.DoubleClick += new System.EventHandler(this.dgvMaster_DoubleClick);
             // 
             // Column1
             // 
@@ -174,11 +176,11 @@
             this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column2.Width = 355;
             // 
-            // Column4
+            // MaterialSelectCheck
             // 
-            this.Column4.HeaderText = "選択";
-            this.Column4.Name = "Column4";
-            this.Column4.Width = 70;
+            this.MaterialSelectCheck.HeaderText = "選択";
+            this.MaterialSelectCheck.Name = "MaterialSelectCheck";
+            this.MaterialSelectCheck.Width = 70;
             // 
             // FrmMaterialSelect
             // 
@@ -217,6 +219,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
-        private System.Windows.Forms.DataGridViewCheckBoxColumn Column4;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn MaterialSelectCheck;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.resx
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.resx	(revision 168)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.resx	(revision 169)
@@ -126,7 +126,7 @@
   <metadata name="Column2.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
-  <metadata name="Column4.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+  <metadata name="MaterialSelectCheck.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
 </root>
\ No newline at end of file